package uebung05.logistics.material;

import uebung05.logistics.quantities.IntUnit;

/**
 * The Grease class represents a unit of measurement for grease.
 * It is a singleton class, meaning only one instance of the class can exist at a time.
 *
 * @author Nikolaus Köberlein
 * @version 1.0
 */
public class Grease implements IntUnit {

    public static Grease INSTANCE;

    private Grease() {}

    /**
     * Get the singleton instance of the Grease class
     *
     * @return The singleton instance of the Grease class
     */
    public static Grease getINSTANCE() {
        if (INSTANCE == null) {
            INSTANCE = new Grease();
        }
        return INSTANCE;
    }

    /**
     * Get a string representation of the Grease object
     *
     * @return A string representation of the Grease object
     */
    @Override
    public String toString() {
        return "units of grease";
    }
}